From fb64942bd58b99cff631f85546209273fa788e4c Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 21/32] Issues: Never return None in cache invalidation


---

diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index c71b50e..e483442 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -37,8 +37,8 @@ class GetBugzillaBugs(CachedFunction):
            message['topic'].endswith('bugzilla.bug.update'):
             return message['msg']['bug']['creator' if mode == 'author' else 'assigned_to'] == email
         elif message["topic"].endswith('.hubs.hub.updated'):
-            if message['msg']['hub_id'] == self.instance.hub.id:
-                return 'bugzilla_email' in message['msg']['changed_keys']
+            return message['msg']['hub_id'] == self.instance.hub.id and \
+                   'bugzilla_email' in message['msg']['changed_keys']
         else:
             return False
 
@@ -77,8 +77,8 @@ class GetPagureIssues(CachedFunction):
             entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
             return entry and entry['name'] == username
         elif message["topic"].endswith('.hubs.hub.updated'):
-            if message['msg']['hub_id'] == self.instance.hub.id:
-                return 'pagure_username' in message['msg']['changed_keys']
+            return message['msg']['hub_id'] == self.instance.hub.id and \
+                   'pagure_username' in message['msg']['changed_keys']
         else:
             return False
 
@@ -115,7 +115,7 @@ class GetGithubIssues(CachedFunction):
             entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
             return entry and entry['login'] == username
         elif message["topic"].endswith('.hubs.hub.updated'):
-            if message['msg']['hub_id'] == self.instance.hub.id:
-                return 'github_username' in message['msg']['changed_keys']
+            return message['msg']['hub_id'] == self.instance.hub.id and \
+                   'github_username' in message['msg']['changed_keys']
         else:
             return False

